### Method

# Clutter Stage handle_event

#### Declaration [src]

    void
    clutter_stage_handle_event (
      ClutterStage* stage,
      ClutterEvent* event
    )

#### Description [src]

Processes an event.

The `event` must be a valid `ClutterEvent` and have a `ClutterStage` associated to it.

This function is only useful when embedding Clutter inside another toolkit, and it should never be called by applications.

#### Parameters

`event`

  Type: `ClutterEvent`

  A `ClutterEvent`.

  The data is owned by the caller of the method.